[package]
name = "kernel-arch-x86_64"
version = "0.1.0"
edition = "2024"

[dependencies]
yggdrasil-abi.workspace = true
kernel-arch-interface.workspace = true
libk-mm-interface.workspace = true
device-api = { workspace = true, features = ["derive"] }
kernel-arch-x86.workspace = true

bitflags.workspace = true
static_assertions.workspace = true
tock-registers.workspace = true
log.workspace = true
